gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ParamSpecExpression

Contents

- Exported types
- Methods

Description

A `GParamSpec` for properties holding a `GtkExpression`.

Synopsis

- newtype ParamSpecExpression = ParamSpecExpression (ManagedPtr ParamSpecExpression)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecExpression o) => IsParamSpecExpression o
- toParamSpecExpression :: (MonadIO m, IsParamSpecExpression o) => o -> m ParamSpecExpression

# Exported types

newtype ParamSpecExpression Source #

Memory-managed wrapper type.

Constructors

ParamSpecExpression (ManagedPtr ParamSpecExpression) |

#### Instances

Instances details

Eq ParamSpecExpression Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression Methods (==) :: ParamSpecExpression -> ParamSpecExpression -> Bool Source # (/=) :: ParamSpecExpression -> ParamSpecExpression -> Bool Source #
BoxedPtr ParamSpecExpression Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression Methods boxedPtrCopy :: ParamSpecExpression -> IO ParamSpecExpression Source # boxedPtrFree :: ParamSpecExpression -> IO () Source #
ManagedPtrNewtype ParamSpecExpression Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression Methods toManagedPtr :: ParamSpecExpression -> ManagedPtr ParamSpecExpression Source #
TypedObject ParamSpecExpression Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression Methods glibType :: IO GType Source #
HasParentTypes ParamSpecExpression Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression
type ParentTypes ParamSpecExpression Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression type ParentTypes ParamSpecExpression = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecExpression o) => IsParamSpecExpression o Source #

Type class for types which can be safely cast to `ParamSpecExpression`, for instance with `toParamSpecExpression`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecExpression o) => IsParamSpecExpression o Source # |
Instance details Defined in GI.Gtk.Objects.ParamSpecExpression

toParamSpecExpression :: (MonadIO m, IsParamSpecExpression o) => o -> m ParamSpecExpression Source #

Cast to `ParamSpecExpression`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.